Download it now!
Bug 119451 - Emoji (autoreplace) produces an empty character
Summary: Emoji (autoreplace) produces an empty character
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-23 14:19 UTC by Marco A.G.Pinto
Modified: 2018-08-29 10:15 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2018-08-23 14:19:20 UTC
Hello!

I was in a blank document with the Portuguese (pt_PT) language and typed:
:lápis:

I got a blank character.

I changed the editing language to British and typed:
:pencil:

And a blank character I got.
Comment 1 raal 2018-08-23 18:30:29 UTC
This seems to have begun at the below commit.
Adding Cc: to XXX ; Could you possibly take a look at this one?
Thanks

fdb0edb054161b1290a0a11ab53fce48d700e765 is the first bad commit
commit fdb0edb054161b1290a0a11ab53fce48d700e765
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Aug 17 01:20:30 2018 +0200

    source sha:436b829f5b904d76039db0818cff5dedf1ae89f1

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-08-16 17:35:17 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-08-16 23:39:15 +0200
commit	436b829f5b904d76039db0818cff5dedf1ae89f1 (patch)
tree	1da08431fa6a277d781362dbb53f832d6f7f1645
parent	c5dc042219e9872937f9fe1cb68f2f03423f398e (diff)
sw: save one vcl layout call in SwFntObj::DrawText()
Comment 2 V Stuart Foote 2018-08-24 01:34:43 UTC
The Unicode codepoint is being assigned--verify with an <alt>+x to toggle, but if font fallback does not occur you will have a blank glyph.

Works correctly if you assign a font to the paragraph that includes a glyph for the emoji/symbol, e.g. Segoe UI Emoji, Segoe UI Symbol, or Symbola
Comment 3 Miklos Vajna 2018-08-27 15:43:29 UTC
Thanks for the fast feedback, indeed I broke glyph fallback with the above. I'll take care.
Comment 4 Commit Notification 2018-08-28 07:05:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24534b101c713a04c9ab12570d9124037643e644

tdf#119451 vcl layout cache: fix glyph fallback handling

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-08-29 10:15:52 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 3bd8316718fdfed454c01a9c4ae6af6beb34437d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Miklos, Thanks for fixing this!!